Subject: The hippies, drug addicts and idiots who don't use Linux

From: "Nadav Har'El" <[email-masked]>
Date: Fri, 5 Oct 2001 00:27:04 +0200

Reading the linux-kernel mailing list (deluge warning!), one gets to see
some gems of bigotry from otherwise nice people.

No, I haven't seen any signs of anti-semitism from Linus like several
people alleged on linux-il after September 11; The bigotry is usually
directed towards
	<TADAM> People who choose not to use Linux! </TADAM>

Putting down Microsoft and Microsoft users is so standard, that nobody (in
the Linux circles) even notices it any more. But it doesn't stop there.

Do you use FreeBSD? Well, on Jun 15, 2001, some Albert Cahalan
([email-masked]) said: [regarding why FreeBSD has a block cursor and
Linux doesn't - I already posted a more complete excerpt in this mailing list]

    "Of course FreeBSD has a block cursor. It was easy to program,
     and it seems nice to the pot-smoking hippies out in Berkeley."

And today (Oct 4, 2001), Linus himself graced us with the following gem
about the Hurd people (in a discussion about why the Hurd implements some
parameter to mmap() that Linux doesn't)

    "Trust me. The people who came up with MAP_COPY were stupid. Really. It's
     an idiotic concept, and it's not worth implementing.
     ....
     In short: just say NO TO DRUGS, and maybe you won't end up like the Hurd
     people."

Interesting concept... Accusing everyone who doesn't agree with you to being
stoned...

In many Internet circles, there's a principle called "Godwin's Law" (see
for example http://www.faqs.org/faqs/usenet/legends/godwin/). This principle
says that threads that deteriorate to ugly mud-slinging usually end up
comparing someone to Nazis, and at that point someone else must invoke
"Godwin's Law" and declare the thread cancled and no-one is to reply to it
again.
I think a similar law should be declared in the linux-kernel mailing list,
this time regarding insinuations of drug use ;)

"First they went after the Communists,
   and I did not stand up, because I was not a Communist.
 Then they went after the Jews,
   and I did not stand up, because I was not a Jew.
 Then they went after the Catholics,
   and I did not stand up, because I was Protestant.
 Finally, they went after me,
   and there was no one left to stand up for me."
     -- Pastor Martin Neimoller, 1968 (paraphrasing)

-- 
Nadav Har'El                        |    Thursday, Oct  4 2001, 18 Tishri 5762
[email-masked]             |-----------------------------------------
Phone: +972-53-245868, ICQ 13349191 |Early bird gets the worm, but the second
http://nadav.harel.org.il           |mouse gets the cheese.

---

From: Omer Zak <[email-masked]>
Date: Fri, 5 Oct 2001 00:53:42 +0200 (IST)

> 	<TADAM> People who choose not to use Linux! </TADAM>

[... snipped, see below ...]

> "Godwin's Law" and declare the thread cancled and no-one is to reply to it

I am hereby invoking the non-classical form of Godwin's Law, by pointing
out the fact that the first quote compares Linus to Nazis, for the purpose
of saying that he is not similar to them.

Accordingly, I pronounce this thread as cancelled and that no-one is to
reply to it again!
                                                               :-)

                                             --- Omer
There is no IGLU Cabal.  Someone jumped the gun and invoked Godwin's Law
in middle of one of the arguments in a meeting of the former IGLU Cabal,
and achieved the unintended effect of silencing them forever.
WARNING TO SPAMMERS:  see at http://www.zak.co.il/spamwarning.html

---

From: "Nadav Har'El" <[email-masked]>
Date: Fri, 5 Oct 2001 11:33:53 +0200

On Fri, Oct 05, 2001, Omer Zak wrote about "Express Invocation of Godwin's Law (was: Re: [hackers-il] The hippies, drug addicts and idiots who don't use Linux)":
>...

No - saying some *isn't* an anti-semite isn't the same as comparing him to
Nazis....

But I hearby invoke the second-order Gowin's law, because you compared me
to someone comparing someone else to Nazis! ;)

-- 
Nadav Har'El                        |      Friday, Oct  5 2001, 18 Tishri 5762
[email-masked]             |-----------------------------------------
Phone: +972-53-245868, ICQ 13349191 |New! Divorcee Barbie! Comes with all the
http://nadav.harel.org.il           |usual accessories, plus all of Ken's stuff

---

From: Adi Stav <[email-masked]>
Date: Fri, 5 Oct 2001 14:11:36 +0200

On Fri, Oct 05, 2001 at 12:27:04AM +0200, Nadav Har'El wrote:
[snip]
> Interesting concept... Accusing everyone who doesn't agree with you to being
[snip]

...And not for the first time. Linus has always been known for his
vicious attacks on ideas he considers sub-optimal. I disagree that
we should consider it bigotry or prejudice; Linus attacks all ideas
he doesn't like with with an equally strong language.

By the way, I consider the related technical discussion fascinating.